Package org.silverpeas.components.questionreply.service

## Class QuestionHeader

- java.lang.Object
- - org.silverpeas.core.i18n.AbstractI18NBean<org.silverpeas.core.i18n.BeanTranslation>
  - - org.silverpeas.core.i18n.AbstractBean
    - - org.silverpeas.components.questionreply.service.QuestionHeader

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.contribution.model.Contribution`, `org.silverpeas.core.contribution.model.LocalizedContribution`, `org.silverpeas.core.i18n.I18NBean<org.silverpeas.core.i18n.BeanTranslation>`, `org.silverpeas.core.i18n.Translatable`, `org.silverpeas.core.i18n.Translation`, `org.silverpeas.core.Identifiable`, `org.silverpeas.core.Instance<org.silverpeas.core.contribution.model.Contribution>`, `org.silverpeas.core.Nameable`, `org.silverpeas.core.security.Securable`, `org.silverpeas.core.SilverpeasResource`

      public final class QuestionHeader
      extends org.silverpeas.core.i18n.AbstractBean
      implements org.silverpeas.core.contribution.model.LocalizedContribution, org.silverpeas.core.Identifiable

  A question
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QuestionHeader​(Question question)` |
    `QuestionHeader​(Question question, String instanceId, String date, String creatorId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getContributionType()` |
    `Date` | `getCreationDate()` |
    `org.silverpeas.core.admin.user.model.User` | `getCreator()` |
    `String` | `getCreatorId()` |
    `String` | `getId()` |
    `org.silverpeas.core.contribution.model.ContributionIdentifier` | `getIdentifier()` |
    `String` | `getInstanceId()` |
    `Date` | `getLastUpdateDate()` |
    `org.silverpeas.core.admin.user.model.User` | `getLastUpdater()` |
    `String` | `getTitle()` |
    `void` | `init​(Question question)` |

    - ### Methods inherited from class org.silverpeas.core.i18n.AbstractBean

      `getDescription, getLanguages, getName, getTranslationType`

    - ### Methods inherited from class org.silverpeas.core.i18n.AbstractI18NBean

      `addTranslation, getClonedTranslations, getDescription, getLanguage, getLanguageToDisplay, getName, getNextTranslation, getTranslation, getTranslationId, getTranslations, isRemoveTranslation, setDescription, setLanguage, setName, setRemoveTranslation, setTranslationId, setTranslations, setTranslations`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.contribution.model.Contribution

      `canBeAccessedBy, getDescription, getModel, getName, getResourcePath, isIndexable`

    - ### Methods inherited from interface org.silverpeas.core.Instance

      `getParent`

    - ### Methods inherited from interface org.silverpeas.core.contribution.model.LocalizedContribution

      `getLanguage`

    - ### Methods inherited from interface org.silverpeas.core.security.Securable

      `canBeDeletedBy, canBeFiledInBy, canBeModifiedBy`

- - ### Constructor Detail

    - #### QuestionHeader

          public QuestionHeader​(Question question)

    - #### QuestionHeader

          public QuestionHeader​(Question question,
                                String instanceId,
                                String date,
                                String creatorId)

  - ### Method Detail

    - #### init

          public void init​(Question question)

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `org.silverpeas.core.Identifiable`

    - #### getInstanceId

          public String getInstanceId()

    - #### getIdentifier

          public org.silverpeas.core.contribution.model.ContributionIdentifier getIdentifier()

      Specified by:
        `getIdentifier` in interface `org.silverpeas.core.contribution.model.Contribution`
      Specified by:
        `getIdentifier` in interface `org.silverpeas.core.SilverpeasResource`

    - #### getTitle

          public String getTitle()

      Specified by:
        `getTitle` in interface `org.silverpeas.core.contribution.model.Contribution`

    - #### getContributionType

          public String getContributionType()

      Specified by:
        `getContributionType` in interface `org.silverpeas.core.contribution.model.Contribution`

    - #### getCreationDate

          public Date getCreationDate()

      Specified by:
        `getCreationDate` in interface `org.silverpeas.core.SilverpeasResource`

    - #### getLastUpdateDate

          public Date getLastUpdateDate()

      Specified by:
        `getLastUpdateDate` in interface `org.silverpeas.core.SilverpeasResource`

    - #### getCreator

          public org.silverpeas.core.admin.user.model.User getCreator()

      Specified by:
        `getCreator` in interface `org.silverpeas.core.SilverpeasResource`

    - #### getLastUpdater

          public org.silverpeas.core.admin.user.model.User getLastUpdater()

      Specified by:
        `getLastUpdater` in interface `org.silverpeas.core.SilverpeasResource`

    - #### getCreatorId

          public String getCreatorId()